KDE 4.9 PyKDE API Reference

- KDE's Python API

# Notation Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Node
Namespace: DOM

## Detailed Description

This interface represents a notation declared in the DTD. A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of Processing Instruction targets (see section 2.6 of the XML 1.0 specification). The nodeName attribute inherited from Node is set to the declared name of the notation.

The DOM Level 1 does not support editing Notation nodes; they are therefore readonly.

A Notation node does not have any parent.

## Methods

| __init__ (self)
| __init__ (self, DOM.Notation other)
| __init__ (self, DOM.Node other)
DOM.DOMString | publicId (self)
DOM.DOMString | systemId (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.Notation | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString publicId | ( |  | self ) |

The public identifier of this notation. If the public identifier was not specified, this is null .

DOM.DOMString systemId | ( |  | self ) |

The system identifier of this notation. If the system identifier was not specified, this is null .